/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package ije.library;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author coki
 */
public class LendTest {

    public LendTest() {
    }

    @BeforeClass
    public static void setUpClass() throws Exception {
    }

    @AfterClass
    public static void tearDownClass() throws Exception {
    }

    @Before
    public void setUp() {
    }

    @After
    public void tearDown() {
    }

    @Test
    public void test01() {
        Book b1 = new Book("Pratchett", "Guards! Guards!");
        Book b2 = new Book("Pratchett", "Eric");
        Reader r1 = new Reader("Joe");
        Reader r2 = new Reader("Jim");
               
        assertTrue(r1.lend(b1));
        assertTrue(b1.isLent());
        assertFalse(b2.isLent());
    }

    @Test
    public void test02() {
        Book b1 = new Book("Pratchett", "Guards! Guards!");
        Book b2 = new Book("Pratchett", "Eric");
        Reader r1 = new Reader("Joe");
        Reader r2 = new Reader("Jim");
               
        r1.lend(b1);
        assertFalse(r1.lend(new Book("Pratchett", "Guards! Guards!")));
    }
    
    @Test
    public void test03() {
        Book b1 = new Book("Pratchett", "Guards! Guards!");
        Book b2 = new Book("Pratchett", "Eric");
        Reader r1 = new Reader("Joe");
        Reader r2 = new Reader("Jim");
               
        r1.lend(b1);
        assertTrue(r1.hasBorrowed(new Book("Pratchett", "Guards! Guards!")));
        assertFalse(r1.hasBorrowed(new Book("Pratchett", "Eric")));
        r1.givesBack(b1);
        assertFalse(r1.hasBorrowed(new Book("Pratchett", "Guards! Guards!")));
        assertFalse(b1.isLent());
    }
}